Page MenuHomePhabricator

Wizard to add subtitles doesn't escape title correctly, leads to error "no video associated"
Closed, ResolvedPublic

Description

Wrong escaping of the URL in question, coming from https://commons.wikimedia.org/w/index.php?title=TimedText:What_is_Bitcoin?.webm, leads to error "There is no video associated with the current subtitle page".

Steps to reproduce:

  1. Choose video with ? in the filename
  2. CC button
  3. Add language
  4. Choose language
  5. BANG

Version: master
Severity: normal
URL: https://commons.wikimedia.org/wiki/TimedText:What%20is%20Bitcoin?.webm.co.srt?action=edit

Details

Reference
bz48300

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:24 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz48300.
Nemo_bis created this task.May 9 2013, 5:43 PM

Related URL: https://gerrit.wikimedia.org/r/63417 (Gerrit Change I6443dceb2f9aa3d6fa7ffe5fafe3ae4c343e06bd)

https://gerrit.wikimedia.org/r/63417 (Gerrit Change I6443dceb2f9aa3d6fa7ffe5fafe3ae4c343e06bd) | change APPROVED and MERGED [by Mdale]

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:34 AM